DESCRIPTION = "Quectel utility for upgrading CAT4 radio firmware"
HOMEPAGE = "https://www.quectel.com/"
LICENSE = "Proprietary"
LIC_FILES_CHKSUM = "file://${COMMON_LICENSE_DIR}/Proprietary;md5=0557f9d92cf58f2ccdd50f62f8ac0b28"

PR = "r0"
SRCREV = "${PV}"

SRC_URI = " \
        file://LTE%265G_QFirehose_Linux%26Android_V1.2.zip \
"

# TODO: When ZIP archieve is unpacked, the source directory is named "LTE&5G_QFirehose_Linux&Android_V1.2"
#       As bitbake does not support escaping for the "$S" variable and falls into parsing error -
#       a custom do_unpack_extra step was added.
do_unpack_extra() {
        mv "${WORKDIR}/LTE&5G_QFirehose_Linux&Android_V1.2/"* "${S}/"
}

addtask unpack_extra after do_unpack before do_patch

do_compile() {
        oe_runmake
}

do_install() {
        install -d ${D}${sbindir}
        install -m 0755 QFirehose ${D}${sbindir}
}

