# Openssl since 1.1.0 looks for the engine files **without** the "lib" prefix,
# so add a symlink from "tpm2tss.so" to "libtpm2tss.so".
# More info:
# - https://github.com/tpm2-software/tpm2-tss-engine/issues/6#issuecomment-422489744
# - https://github.com/openssl/openssl/commit/9ee0ed3de66678a15db126d10b3e4226e835b8f5
# - https://bugzilla.yoctoproject.org/show_bug.cgi?id=14776
# - https://lists.yoctoproject.org/g/yocto/message/47921

# Remove tpm2tss.so from the "-dev" package, include it to "-engines" instead.
# The "-dev" package depends on "-engines" anyway.
FILES_${PN}-dev = "${includedir}/*"
FILES_${PN}-engines_append = " ${libdir}/engines-1.1/tpm2tss.so"

# Allow the symlink from tpm2tss.so to libtpm2tss.so in "-engines".
INSANE_SKIP_${PN}-engines += "dev-so"

# Customized in mLinux.
PR = "m0"
